StringPrintStream (SLF4J 1.7.4 Test API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.slf4j
Class StringPrintStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  org.slf4j.StringPrintStream

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class StringPrintStream

extends PrintStream

Field Summary
`static String` | `LINE_SEP`

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`StringPrintStream(PrintStream ps)`

Method Summary
`void` | `print(String s)`
`void` | `println(Object o)`
`void` | `println(String s)`

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINE_SEP

    public static final String LINE_SEP

Constructor Detail

### StringPrintStream

    public StringPrintStream(PrintStream ps)

Method Detail

### print

    public void print(String s)

  Overrides:
    `print` in class `PrintStream`

### println

    public void println(String s)

  Overrides:
    `println` in class `PrintStream`

### println

    public void println(Object o)

  Overrides:
    `println` in class `PrintStream`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2013 QOS.ch. All Rights Reserved.